/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.properties
 * File:    Config.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.properties;

public enum Config {
	NAMESPACE_DEFAULT("irongui.default"),
	NAMESPACE_USER_DEFAULT("irongui.user"),
	COLOR_IDENTIFIER_DEFAULT(NAMESPACE_DEFAULT+".color.identifier"),
	COLOR_METADATA_DEFAULT(NAMESPACE_DEFAULT+".color.metadata"),	
	USER_CONNECTIONS_COUNT(NAMESPACE_USER_DEFAULT+".connectioncount"),
	USER_PUBLISHER_COUNT(NAMESPACE_USER_DEFAULT+".publishercount"),
	USER_CONNECTIONS_PREFIX(NAMESPACE_USER_DEFAULT+".connection."),	
	USER_PUBLISHER_PREFIX(NAMESPACE_DEFAULT+".publisher."),
	USER_PUBLISHER_NAME(".name"),
	USER_PUBLISHER_COLOR(".color"),
	USER_CONNECTIONS_NAME("name"),
	USER_CONNECTIONS_URL("url"),
	USER_CONNECTIONS_KEYSTORE("keystore"),
	USER_CONNECTIONS_KEYSTORE_PASSWORD("keystorepass"),
	USER_CONNECTIONS_TRUSTSTORE("truststore"),
	USER_CONNECTIONS_TRUSTSTORE_PASSWORD("truststorepass"),
	USER_CONNECTIONS_BASICAUTH_ENABLED("basicauth.enabled"),
	USER_CONNECTIONS_BASICAUTH_USER("basicauth.user"),
	USER_CONNECTIONS_BASICAUTH_PASS("basicauth.pass"),
	USER_CONNECTIONS_AUTO_SUBSCRIBE("dumping.enabled");
	
	private String value;
	
	private Config(String v){
		value = v;
	}
	
	@Override
	public String toString() {		
		return value;
	}
}
